<html>
<head>
<title>OgreParticleSystem.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreParticleSystem.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreParticleSystem_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">(Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 <span class="preprocessor">#ifndef __ParticleSystem_H__</span>
<a name="l00029"></a>00029 <span class="preprocessor"></span><span class="preprocessor">#define __ParticleSystem_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span>
<a name="l00031"></a>00031 <span class="preprocessor">#include &quot;<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>&quot;</span>
<a name="l00032"></a>00032 
<a name="l00033"></a>00033 <span class="preprocessor">#include &quot;<a class="code" href="OgreVector3_8h.html">OgreVector3.h</a>&quot;</span>
<a name="l00034"></a>00034 <span class="preprocessor">#include &quot;<a class="code" href="OgreString_8h.html">OgreString.h</a>&quot;</span>
<a name="l00035"></a>00035 <span class="preprocessor">#include &quot;<a class="code" href="OgreParticleIterator_8h.html">OgreParticleIterator.h</a>&quot;</span>
<a name="l00036"></a>00036 <span class="preprocessor">#include &quot;<a class="code" href="OgreStringInterface_8h.html">OgreStringInterface.h</a>&quot;</span>
<a name="l00037"></a>00037 <span class="preprocessor">#include &quot;<a class="code" href="OgreMovableObject_8h.html">OgreMovableObject.h</a>&quot;</span>
<a name="l00038"></a>00038 <span class="preprocessor">#include &quot;<a class="code" href="OgreRadixSort_8h.html">OgreRadixSort.h</a>&quot;</span>
<a name="l00039"></a>00039 <span class="preprocessor">#include &quot;<a class="code" href="OgreController_8h.html">OgreController.h</a>&quot;</span>
<a name="l00040"></a>00040 <span class="preprocessor">#include &quot;<a class="code" href="OgreResourceGroupManager_8h.html">OgreResourceGroupManager.h</a>&quot;</span>
<a name="l00041"></a>00041 
<a name="l00042"></a>00042 
<a name="l00043"></a>00043 <span class="keyword">namespace </span>Ogre {
<a name="l00044"></a>00044 
<a name="l00066"></a><a class="code" href="classOgre_1_1ParticleSystem.html">00066</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1ParticleSystem.html" title="Class defining particle system based special effects.">ParticleSystem</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1StringInterface.html" title="Class defining the common interface which classes can use to present a reflection-style, self-defining parameter set to callers.">StringInterface</a>, <span class="keyword">public</span> <a class="code" href="classOgre_1_1MovableObject.html" title="Abstract class defining a movable object in a scene.">MovableObject</a>
<a name="l00067"></a>00067     {
<a name="l00068"></a>00068     <span class="keyword">public</span>:
<a name="l00069"></a>00069 
<a name="l00071"></a><a class="code" href="classOgre_1_1ParticleSystem_1_1CmdQuota.html">00071</a>         <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1ParticleSystem_1_1CmdQuota.html" title="Command object for quota (see ParamCommand).">CmdQuota</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00072"></a>00072         {
<a name="l00073"></a>00073         <span class="keyword">public</span>:
<a name="l00074"></a>00074             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet(<span class="keyword">const</span> <span class="keywordtype">void</span>* target) <span class="keyword">const</span>;
<a name="l00075"></a>00075             <span class="keywordtype">void</span> doSet(<span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00076"></a>00076         };
<a name="l00078"></a><a class="code" href="classOgre_1_1ParticleSystem_1_1CmdEmittedEmitterQuota.html">00078</a>         <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1ParticleSystem_1_1CmdEmittedEmitterQuota.html" title="Command object for emittedEmitterQuota (see ParamCommand).">CmdEmittedEmitterQuota</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00079"></a>00079         {
<a name="l00080"></a>00080         <span class="keyword">public</span>:
<a name="l00081"></a>00081             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet(<span class="keyword">const</span> <span class="keywordtype">void</span>* target) <span class="keyword">const</span>;
<a name="l00082"></a>00082             <span class="keywordtype">void</span> doSet(<span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00083"></a>00083         };
<a name="l00085"></a><a class="code" href="classOgre_1_1ParticleSystem_1_1CmdMaterial.html">00085</a>         <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1ParticleSystem_1_1CmdMaterial.html" title="Command object for material (see ParamCommand).">CmdMaterial</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00086"></a>00086         {
<a name="l00087"></a>00087         <span class="keyword">public</span>:
<a name="l00088"></a>00088             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet(<span class="keyword">const</span> <span class="keywordtype">void</span>* target) <span class="keyword">const</span>;
<a name="l00089"></a>00089             <span class="keywordtype">void</span> doSet(<span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00090"></a>00090         };
<a name="l00092"></a><a class="code" href="classOgre_1_1ParticleSystem_1_1CmdCull.html">00092</a>         <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1ParticleSystem_1_1CmdCull.html" title="Command object for cull_each (see ParamCommand).">CmdCull</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00093"></a>00093         {
<a name="l00094"></a>00094         <span class="keyword">public</span>:
<a name="l00095"></a>00095             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet(<span class="keyword">const</span> <span class="keywordtype">void</span>* target) <span class="keyword">const</span>;
<a name="l00096"></a>00096             <span class="keywordtype">void</span> doSet(<span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00097"></a>00097         };
<a name="l00099"></a><a class="code" href="classOgre_1_1ParticleSystem_1_1CmdWidth.html">00099</a>         <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1ParticleSystem_1_1CmdWidth.html" title="Command object for particle_width (see ParamCommand).">CmdWidth</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00100"></a>00100         {
<a name="l00101"></a>00101         <span class="keyword">public</span>:
<a name="l00102"></a>00102             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet(<span class="keyword">const</span> <span class="keywordtype">void</span>* target) <span class="keyword">const</span>;
<a name="l00103"></a>00103             <span class="keywordtype">void</span> doSet(<span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00104"></a>00104         };
<a name="l00106"></a><a class="code" href="classOgre_1_1ParticleSystem_1_1CmdHeight.html">00106</a>         <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1ParticleSystem_1_1CmdHeight.html" title="Command object for particle_height (see ParamCommand).">CmdHeight</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00107"></a>00107         {
<a name="l00108"></a>00108         <span class="keyword">public</span>:
<a name="l00109"></a>00109             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet(<span class="keyword">const</span> <span class="keywordtype">void</span>* target) <span class="keyword">const</span>;
<a name="l00110"></a>00110             <span class="keywordtype">void</span> doSet(<span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00111"></a>00111         };
<a name="l00113"></a><a class="code" href="classOgre_1_1ParticleSystem_1_1CmdRenderer.html">00113</a>         <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1ParticleSystem_1_1CmdRenderer.html" title="Command object for renderer (see ParamCommand).">CmdRenderer</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00114"></a>00114         {
<a name="l00115"></a>00115         <span class="keyword">public</span>:
<a name="l00116"></a>00116             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet(<span class="keyword">const</span> <span class="keywordtype">void</span>* target) <span class="keyword">const</span>;
<a name="l00117"></a>00117             <span class="keywordtype">void</span> doSet(<span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00118"></a>00118         };
<a name="l00120"></a><a class="code" href="classOgre_1_1ParticleSystem_1_1CmdSorted.html">00120</a>         <span class="keyword">class </span><a class="code" href="classOgre_1_1ParticleSystem_1_1CmdSorted.html" title="Command object for sorting (see ParamCommand).">CmdSorted</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00121"></a>00121         {
<a name="l00122"></a>00122         <span class="keyword">public</span>:
<a name="l00123"></a>00123             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet(<span class="keyword">const</span> <span class="keywordtype">void</span>* target) <span class="keyword">const</span>;
<a name="l00124"></a>00124             <span class="keywordtype">void</span> doSet(<span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00125"></a>00125         };
<a name="l00127"></a><a class="code" href="classOgre_1_1ParticleSystem_1_1CmdLocalSpace.html">00127</a>         <span class="keyword">class </span><a class="code" href="classOgre_1_1ParticleSystem_1_1CmdLocalSpace.html" title="Command object for local space (see ParamCommand).">CmdLocalSpace</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00128"></a>00128         {
<a name="l00129"></a>00129         <span class="keyword">public</span>:
<a name="l00130"></a>00130             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet(<span class="keyword">const</span> <span class="keywordtype">void</span>* target) <span class="keyword">const</span>;
<a name="l00131"></a>00131             <span class="keywordtype">void</span> doSet(<span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00132"></a>00132         };
<a name="l00134"></a><a class="code" href="classOgre_1_1ParticleSystem_1_1CmdIterationInterval.html">00134</a>         <span class="keyword">class </span><a class="code" href="classOgre_1_1ParticleSystem_1_1CmdIterationInterval.html" title="Command object for iteration interval(see ParamCommand).">CmdIterationInterval</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00135"></a>00135         {
<a name="l00136"></a>00136         <span class="keyword">public</span>:
<a name="l00137"></a>00137             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet(<span class="keyword">const</span> <span class="keywordtype">void</span>* target) <span class="keyword">const</span>;
<a name="l00138"></a>00138             <span class="keywordtype">void</span> doSet(<span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00139"></a>00139         };
<a name="l00141"></a><a class="code" href="classOgre_1_1ParticleSystem_1_1CmdNonvisibleTimeout.html">00141</a>         <span class="keyword">class </span><a class="code" href="classOgre_1_1ParticleSystem_1_1CmdNonvisibleTimeout.html" title="Command object for nonvisible timeout (see ParamCommand).">CmdNonvisibleTimeout</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00142"></a>00142         {
<a name="l00143"></a>00143         <span class="keyword">public</span>:
<a name="l00144"></a>00144             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet(<span class="keyword">const</span> <span class="keywordtype">void</span>* target) <span class="keyword">const</span>;
<a name="l00145"></a>00145             <span class="keywordtype">void</span> doSet(<span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00146"></a>00146         };
<a name="l00147"></a>00147 
<a name="l00149"></a>00149         <a class="code" href="classOgre_1_1ParticleSystem.html" title="Class defining particle system based special effects.">ParticleSystem</a>();
<a name="l00155"></a>00155         <a class="code" href="classOgre_1_1ParticleSystem.html" title="Class defining particle system based special effects.">ParticleSystem</a>(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; resourceGroupName);
<a name="l00156"></a>00156 
<a name="l00157"></a>00157         <span class="keyword">virtual</span> ~<a class="code" href="classOgre_1_1ParticleSystem.html" title="Class defining particle system based special effects.">ParticleSystem</a>();
<a name="l00158"></a>00158 
<a name="l00168"></a>00168         <span class="keywordtype">void</span> setRenderer(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; typeName);
<a name="l00169"></a>00169 
<a name="l00171"></a>00171         <a class="code" href="classOgre_1_1ParticleSystemRenderer.html" title="Abstract class defining the interface required to be implemented by classes which provide rendering c...">ParticleSystemRenderer</a>* getRenderer(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00173"></a>00173         <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getRendererName(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00174"></a>00174 
<a name="l00184"></a>00184         <a class="code" href="classOgre_1_1ParticleEmitter.html" title="Abstract class defining the interface to be implemented by particle emitters.">ParticleEmitter</a>* addEmitter(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; emitterType);
<a name="l00185"></a>00185 
<a name="l00195"></a>00195         <a class="code" href="classOgre_1_1ParticleEmitter.html" title="Abstract class defining the interface to be implemented by particle emitters.">ParticleEmitter</a>* getEmitter(<span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> index) <span class="keyword">const</span>;
<a name="l00196"></a>00196 
<a name="l00198"></a>00198         <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> getNumEmitters(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00199"></a>00199 
<a name="l00208"></a>00208         <span class="keywordtype">void</span> removeEmitter(<span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> index);
<a name="l00209"></a>00209 
<a name="l00211"></a>00211         <span class="keywordtype">void</span> removeAllEmitters(<span class="keywordtype">void</span>);
<a name="l00212"></a>00212 
<a name="l00213"></a>00213 
<a name="l00223"></a>00223         <a class="code" href="classOgre_1_1ParticleAffector.html" title="Abstract class defining the interface to be implemented by particle affectors.">ParticleAffector</a>* addAffector(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; affectorType);
<a name="l00224"></a>00224 
<a name="l00234"></a>00234         <a class="code" href="classOgre_1_1ParticleAffector.html" title="Abstract class defining the interface to be implemented by particle affectors.">ParticleAffector</a>* getAffector(<span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> index) <span class="keyword">const</span>;
<a name="l00235"></a>00235 
<a name="l00237"></a>00237         <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> getNumAffectors(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00238"></a>00238 
<a name="l00247"></a>00247         <span class="keywordtype">void</span> removeAffector(<span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> index);
<a name="l00248"></a>00248 
<a name="l00250"></a>00250         <span class="keywordtype">void</span> removeAllAffectors(<span class="keywordtype">void</span>);
<a name="l00251"></a>00251 
<a name="l00254"></a>00254         <span class="keywordtype">void</span> clear();
<a name="l00255"></a>00255 
<a name="l00263"></a>00263         <span class="keywordtype">size_t</span> getNumParticles(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00264"></a>00264 
<a name="l00276"></a>00276         <a class="code" href="classOgre_1_1Particle.html" title="Class representing a single particle instance.">Particle</a>* createParticle(<span class="keywordtype">void</span>);
<a name="l00277"></a>00277 
<a name="l00287"></a>00287         <a class="code" href="classOgre_1_1Particle.html" title="Class representing a single particle instance.">Particle</a>* createEmitterParticle(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; emitterName);
<a name="l00288"></a>00288 
<a name="l00295"></a>00295         <a class="code" href="classOgre_1_1Particle.html" title="Class representing a single particle instance.">Particle</a>* getParticle(<span class="keywordtype">size_t</span> index);
<a name="l00296"></a>00296 
<a name="l00301"></a>00301         <span class="keywordtype">size_t</span> getParticleQuota(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00302"></a>00302 
<a name="l00314"></a>00314         <span class="keywordtype">void</span> setParticleQuota(<span class="keywordtype">size_t</span> quota);
<a name="l00315"></a>00315 
<a name="l00320"></a>00320         <span class="keywordtype">size_t</span> getEmittedEmitterQuota(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00321"></a>00321 
<a name="l00327"></a>00327         <span class="keywordtype">void</span> setEmittedEmitterQuota(<span class="keywordtype">size_t</span> quota);
<a name="l00328"></a>00328 
<a name="l00334"></a>00334         <a class="code" href="classOgre_1_1ParticleSystem.html" title="Class defining particle system based special effects.">ParticleSystem</a>&amp; operator=(<span class="keyword">const</span> <a class="code" href="classOgre_1_1ParticleSystem.html" title="Class defining particle system based special effects.">ParticleSystem</a>&amp; rhs);
<a name="l00335"></a>00335 
<a name="l00342"></a>00342         <span class="keywordtype">void</span> _update(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> timeElapsed);
<a name="l00343"></a>00343 
<a name="l00350"></a>00350         <a class="code" href="classOgre_1_1ParticleIterator.html" title="Convenience class to make it easy to step through all particles in a ParticleSystem.">ParticleIterator</a> _getIterator(<span class="keywordtype">void</span>);
<a name="l00351"></a>00351 
<a name="l00356"></a>00356         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setMaterialName( <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; groupName = <a class="code" href="classOgre_1_1ResourceGroupManager.html#a70da3137e703c147b98fbfbbebfbf023" title="Special resource group name which causes resource group to be automatically determined based on searc...">ResourceGroupManager::AUTODETECT_RESOURCE_GROUP_NAME</a> );
<a name="l00357"></a>00357 
<a name="l00361"></a>00361         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getMaterialName(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00362"></a>00362 
<a name="l00367"></a>00367         <span class="keyword">virtual</span> <span class="keywordtype">void</span> _notifyCurrentCamera(<a class="code" href="classOgre_1_1Camera.html" title="A viewpoint from which the scene will be rendered.">Camera</a>* cam);
<a name="l00368"></a>00368 
<a name="l00373"></a>00373         <span class="keywordtype">void</span> _notifyAttached(<a class="code" href="classOgre_1_1Node.html" title="Class representing a general-purpose node an articulated scene graph.">Node</a>* parent, <span class="keywordtype">bool</span> isTagPoint = <span class="keyword">false</span>);
<a name="l00374"></a>00374 
<a name="l00379"></a><a class="code" href="classOgre_1_1ParticleSystem.html#a64de198ce6c30dfa83782c6ec990f793">00379</a>         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1AxisAlignedBox.html" title="A 3D box aligned with the x/y/z axes.">AxisAlignedBox</a>&amp; <a class="code" href="classOgre_1_1ParticleSystem.html#a64de198ce6c30dfa83782c6ec990f793" title="Overridden from MovableObject.">getBoundingBox</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mAABB; }
<a name="l00380"></a>00380 
<a name="l00385"></a><a class="code" href="classOgre_1_1ParticleSystem.html#a229b7eb3ebd0307d4fc3f1b147693d33">00385</a>         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1ParticleSystem.html#a229b7eb3ebd0307d4fc3f1b147693d33" title="Overridden from MovableObject.">getBoundingRadius</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mBoundingRadius; }
<a name="l00386"></a>00386 
<a name="l00391"></a>00391         <span class="keyword">virtual</span> <span class="keywordtype">void</span> _updateRenderQueue(<a class="code" href="classOgre_1_1RenderQueue.html" title="Class to manage the scene object rendering queue.">RenderQueue</a>* queue);
<a name="l00392"></a>00392 
<a name="l00394"></a>00394         <span class="keywordtype">void</span> visitRenderables(<a class="code" href="classOgre_1_1Renderable_1_1Visitor.html" title="Visitor object that can be used to iterate over a collection of Renderable instances abstractly...">Renderable::Visitor</a>* visitor, 
<a name="l00395"></a>00395             <span class="keywordtype">bool</span> debugRenderables = <span class="keyword">false</span>);
<a name="l00396"></a>00396 
<a name="l00409"></a>00409         <span class="keywordtype">void</span> fastForward(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> time, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> interval = 0.1);
<a name="l00410"></a>00410 
<a name="l00419"></a><a class="code" href="classOgre_1_1ParticleSystem.html#afd8ec707603e16d1b0eec2e734486947">00419</a>         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1ParticleSystem.html#afd8ec707603e16d1b0eec2e734486947" title="Sets a &#39;speed factor&#39; on this particle system, which means it scales the elapsed real time which has ...">setSpeedFactor</a>(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> speedFactor) { mSpeedFactor = speedFactor; }
<a name="l00420"></a>00420 
<a name="l00423"></a><a class="code" href="classOgre_1_1ParticleSystem.html#a89a2b51cd601f279262dcf6e4e891193">00423</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1ParticleSystem.html#a89a2b51cd601f279262dcf6e4e891193" title="Gets the &#39;speed factor&#39; on this particle system.">getSpeedFactor</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mSpeedFactor; }
<a name="l00424"></a>00424 
<a name="l00440"></a>00440         <span class="keywordtype">void</span> setIterationInterval(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> iterationInterval);
<a name="l00441"></a>00441 
<a name="l00444"></a><a class="code" href="classOgre_1_1ParticleSystem.html#a919d3345bee186e74d132657e13445f7">00444</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1ParticleSystem.html#a919d3345bee186e74d132657e13445f7" title="Gets a &#39;iteration interval&#39; on this particle system.">getIterationInterval</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mIterationInterval; }
<a name="l00445"></a>00445 
<a name="l00448"></a><a class="code" href="classOgre_1_1ParticleSystem.html#acf264915a826cb9a9ad5c6ce14918ea9">00448</a>         <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1ParticleSystem.html#acf264915a826cb9a9ad5c6ce14918ea9" title="Set the default iteration interval for all ParticleSystem instances.">setDefaultIterationInterval</a>(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> iterationInterval) { msDefaultIterationInterval = iterationInterval; }
<a name="l00449"></a>00449 
<a name="l00452"></a><a class="code" href="classOgre_1_1ParticleSystem.html#afb67c669b0ff93223c49911735fe9cd4">00452</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1ParticleSystem.html#afb67c669b0ff93223c49911735fe9cd4" title="Get the default iteration interval for all ParticleSystem instances.">getDefaultIterationInterval</a>(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> msDefaultIterationInterval; }
<a name="l00453"></a>00453 
<a name="l00468"></a>00468         <span class="keywordtype">void</span> setNonVisibleUpdateTimeout(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> timeout);
<a name="l00472"></a><a class="code" href="classOgre_1_1ParticleSystem.html#a2473afa97e51aa6ccb3730ce7c0443dd">00472</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1ParticleSystem.html#a2473afa97e51aa6ccb3730ce7c0443dd" title="Gets when the particle system should stop updating after it hasn&#39;t been visible for a while...">getNonVisibleUpdateTimeout</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mNonvisibleTimeout; }
<a name="l00473"></a>00473 
<a name="l00476"></a><a class="code" href="classOgre_1_1ParticleSystem.html#aeee3216615e86c4279b73cd48297e2ed">00476</a>         <span class="keyword">static</span> <span class="keywordtype">void</span> setDefaultNonVisibleUpdateTimeout(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> timeout) 
<a name="l00477"></a>00477         { msDefaultNonvisibleTimeout = timeout; }
<a name="l00478"></a>00478 
<a name="l00481"></a><a class="code" href="classOgre_1_1ParticleSystem.html#a946522b763de11b1876941ba83f9621c">00481</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1ParticleSystem.html#a946522b763de11b1876941ba83f9621c" title="Get the default nonvisible timeout for all ParticleSystem instances.">getDefaultNonVisibleUpdateTimeout</a>(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> msDefaultNonvisibleTimeout; }
<a name="l00482"></a>00482 
<a name="l00484"></a>00484         <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getMovableType(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00485"></a>00485 
<a name="l00488"></a>00488         <span class="keyword">virtual</span> <span class="keywordtype">void</span> _notifyParticleResized(<span class="keywordtype">void</span>);
<a name="l00489"></a>00489 
<a name="l00492"></a>00492         <span class="keyword">virtual</span> <span class="keywordtype">void</span> _notifyParticleRotated(<span class="keywordtype">void</span>);
<a name="l00493"></a>00493 
<a name="l00504"></a>00504         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setDefaultDimensions(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> width, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> height);
<a name="l00505"></a>00505 
<a name="l00507"></a>00507         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setDefaultWidth(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> width);
<a name="l00509"></a>00509         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getDefaultWidth(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00511"></a>00511         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setDefaultHeight(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> height);
<a name="l00513"></a>00513         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getDefaultHeight(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00515"></a>00515         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> getCullIndividually(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00536"></a>00536         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setCullIndividually(<span class="keywordtype">bool</span> cullIndividual);
<a name="l00538"></a><a class="code" href="classOgre_1_1ParticleSystem.html#a391e5c0c8edfe310f471b913575e5d07">00538</a>         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="code" href="classOgre_1_1ParticleSystem.html#a391e5c0c8edfe310f471b913575e5d07" title="Return the resource group to be used to load dependent resources.">getResourceGroupName</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mResourceGroupName; }
<a name="l00545"></a><a class="code" href="classOgre_1_1ParticleSystem.html#a50ed175746e330d218b5bb4b29629e67">00545</a>         <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="code" href="classOgre_1_1ParticleSystem.html#a50ed175746e330d218b5bb4b29629e67" title="Get the origin of this particle system, e.g.">getOrigin</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mOrigin; }
<a name="l00547"></a><a class="code" href="classOgre_1_1ParticleSystem.html#aae2a5b0da71f9b6f9885a7b32ac4753d">00547</a>         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1ParticleSystem.html#aae2a5b0da71f9b6f9885a7b32ac4753d" title="Notify this particle system of it&#39;s origin.">_notifyOrigin</a>(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; origin) { mOrigin = origin; }
<a name="l00548"></a>00548 
<a name="l00550"></a>00550         <span class="keywordtype">void</span> setRenderQueueGroup(<a class="code" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> queueID);
<a name="l00551"></a>00551 
<a name="l00558"></a><a class="code" href="classOgre_1_1ParticleSystem.html#a976394bc64e81a01338e37c669c8614b">00558</a>         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1ParticleSystem.html#a976394bc64e81a01338e37c669c8614b" title="Set whether or not particles are sorted according to the camera.">setSortingEnabled</a>(<span class="keywordtype">bool</span> enabled) { mSorted = enabled; }
<a name="l00560"></a><a class="code" href="classOgre_1_1ParticleSystem.html#ab85318ea56d9f2f826a473f9ffcf0972">00560</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1ParticleSystem.html#ab85318ea56d9f2f826a473f9ffcf0972" title="Gets whether particles are sorted relative to the camera.">getSortingEnabled</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mSorted; }
<a name="l00561"></a>00561 
<a name="l00571"></a>00571         <span class="keywordtype">void</span> setBounds(<span class="keyword">const</span> <a class="code" href="classOgre_1_1AxisAlignedBox.html" title="A 3D box aligned with the x/y/z axes.">AxisAlignedBox</a>&amp; aabb);
<a name="l00572"></a>00572 
<a name="l00589"></a>00589         <span class="keywordtype">void</span> setBoundsAutoUpdated(<span class="keywordtype">bool</span> autoUpdate, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> stopIn = 0.0f);
<a name="l00590"></a>00590 
<a name="l00600"></a>00600         <span class="keywordtype">void</span> setKeepParticlesInLocalSpace(<span class="keywordtype">bool</span> keepLocal);
<a name="l00601"></a>00601 
<a name="l00605"></a><a class="code" href="classOgre_1_1ParticleSystem.html#a09a24d2c145c6c2646b8c3f64c36fa0f">00605</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1ParticleSystem.html#a09a24d2c145c6c2646b8c3f64c36fa0f" title="Gets whether particles (and any affector effects) remain relative to the node the particle system is ...">getKeepParticlesInLocalSpace</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mLocalSpace; }
<a name="l00606"></a>00606 
<a name="l00620"></a>00620         <span class="keywordtype">void</span> _updateBounds(<span class="keywordtype">void</span>);
<a name="l00621"></a>00621 
<a name="l00631"></a>00631         <span class="keywordtype">void</span> setEmitting(<span class="keywordtype">bool</span> v);
<a name="l00632"></a>00632 
<a name="l00638"></a>00638         <span class="keywordtype">bool</span> getEmitting() <span class="keyword">const</span>;
<a name="l00639"></a>00639 
<a name="l00641"></a>00641         <a class="code" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> getTypeFlags(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00642"></a>00642     <span class="keyword">protected</span>:
<a name="l00643"></a>00643 
<a name="l00645"></a><a class="code" href="classOgre_1_1ParticleSystem.html#ac1c4f6ecac48baab88920ac52565aefb">00645</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1ParticleSystem_1_1CmdCull.html" title="Command object for cull_each (see ParamCommand).">CmdCull</a> <a class="code" href="classOgre_1_1ParticleSystem.html#ac1c4f6ecac48baab88920ac52565aefb" title="Command objects.">msCullCmd</a>;
<a name="l00646"></a><a class="code" href="classOgre_1_1ParticleSystem.html#a7223d608ca78e89564cb6176b7e4a519">00646</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1ParticleSystem_1_1CmdHeight.html" title="Command object for particle_height (see ParamCommand).">CmdHeight</a> <a class="code" href="classOgre_1_1ParticleSystem.html#a7223d608ca78e89564cb6176b7e4a519">msHeightCmd</a>;
<a name="l00647"></a><a class="code" href="classOgre_1_1ParticleSystem.html#a7fc9df9362fc47592235a7565202e335">00647</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1ParticleSystem_1_1CmdMaterial.html" title="Command object for material (see ParamCommand).">CmdMaterial</a> <a class="code" href="classOgre_1_1ParticleSystem.html#a7fc9df9362fc47592235a7565202e335">msMaterialCmd</a>;
<a name="l00648"></a><a class="code" href="classOgre_1_1ParticleSystem.html#a24f63e24b7b5555e115a5429879272e9">00648</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1ParticleSystem_1_1CmdQuota.html" title="Command object for quota (see ParamCommand).">CmdQuota</a> <a class="code" href="classOgre_1_1ParticleSystem.html#a24f63e24b7b5555e115a5429879272e9">msQuotaCmd</a>;
<a name="l00649"></a><a class="code" href="classOgre_1_1ParticleSystem.html#a8287336d0c7c6d4ae1e4e1c0dc82c700">00649</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1ParticleSystem_1_1CmdEmittedEmitterQuota.html" title="Command object for emittedEmitterQuota (see ParamCommand).">CmdEmittedEmitterQuota</a> <a class="code" href="classOgre_1_1ParticleSystem.html#a8287336d0c7c6d4ae1e4e1c0dc82c700">msEmittedEmitterQuotaCmd</a>;
<a name="l00650"></a><a class="code" href="classOgre_1_1ParticleSystem.html#a7294faa181658e17d127fce3252ad283">00650</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1ParticleSystem_1_1CmdWidth.html" title="Command object for particle_width (see ParamCommand).">CmdWidth</a> <a class="code" href="classOgre_1_1ParticleSystem.html#a7294faa181658e17d127fce3252ad283">msWidthCmd</a>;
<a name="l00651"></a><a class="code" href="classOgre_1_1ParticleSystem.html#add809af55c77717bcd90324462c043fb">00651</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1ParticleSystem_1_1CmdRenderer.html" title="Command object for renderer (see ParamCommand).">CmdRenderer</a> <a class="code" href="classOgre_1_1ParticleSystem.html#add809af55c77717bcd90324462c043fb">msRendererCmd</a>;
<a name="l00652"></a><a class="code" href="classOgre_1_1ParticleSystem.html#aee397e90022446edf9d21b37ee7b6531">00652</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1ParticleSystem_1_1CmdSorted.html" title="Command object for sorting (see ParamCommand).">CmdSorted</a> <a class="code" href="classOgre_1_1ParticleSystem.html#aee397e90022446edf9d21b37ee7b6531">msSortedCmd</a>;
<a name="l00653"></a><a class="code" href="classOgre_1_1ParticleSystem.html#ae39bdfc0822458ad474d79d19de50cf3">00653</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1ParticleSystem_1_1CmdLocalSpace.html" title="Command object for local space (see ParamCommand).">CmdLocalSpace</a> <a class="code" href="classOgre_1_1ParticleSystem.html#ae39bdfc0822458ad474d79d19de50cf3">msLocalSpaceCmd</a>;
<a name="l00654"></a><a class="code" href="classOgre_1_1ParticleSystem.html#a5254fc167de9f4796ff4543aceca7a14">00654</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1ParticleSystem_1_1CmdIterationInterval.html" title="Command object for iteration interval(see ParamCommand).">CmdIterationInterval</a> <a class="code" href="classOgre_1_1ParticleSystem.html#a5254fc167de9f4796ff4543aceca7a14">msIterationIntervalCmd</a>;
<a name="l00655"></a><a class="code" href="classOgre_1_1ParticleSystem.html#a416c4c00ccbab42d5ff26ed9b5b9d746">00655</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1ParticleSystem_1_1CmdNonvisibleTimeout.html" title="Command object for nonvisible timeout (see ParamCommand).">CmdNonvisibleTimeout</a> <a class="code" href="classOgre_1_1ParticleSystem.html#a416c4c00ccbab42d5ff26ed9b5b9d746">msNonvisibleTimeoutCmd</a>;
<a name="l00656"></a>00656 
<a name="l00657"></a>00657 
<a name="l00658"></a><a class="code" href="classOgre_1_1ParticleSystem.html#a35aa09415f96172c18036ba7f4066389">00658</a>         <a class="code" href="classOgre_1_1AxisAlignedBox.html" title="A 3D box aligned with the x/y/z axes.">AxisAlignedBox</a> <a class="code" href="classOgre_1_1ParticleSystem.html#a35aa09415f96172c18036ba7f4066389">mAABB</a>;
<a name="l00659"></a><a class="code" href="classOgre_1_1ParticleSystem.html#a4691a7c6a4c23284a9cc3cb3dc5ac4fd">00659</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1ParticleSystem.html#a4691a7c6a4c23284a9cc3cb3dc5ac4fd">mBoundingRadius</a>;
<a name="l00660"></a><a class="code" href="classOgre_1_1ParticleSystem.html#adfb701e05eb52c6c33b59a0493f85afd">00660</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1ParticleSystem.html#adfb701e05eb52c6c33b59a0493f85afd">mBoundsAutoUpdate</a>;
<a name="l00661"></a><a class="code" href="classOgre_1_1ParticleSystem.html#ad1c3c18c8e5b6abad09c7999611014f8">00661</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1ParticleSystem.html#ad1c3c18c8e5b6abad09c7999611014f8">mBoundsUpdateTime</a>;
<a name="l00662"></a><a class="code" href="classOgre_1_1ParticleSystem.html#ad93a0847123ddef11f2024ee98f9f741">00662</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1ParticleSystem.html#ad93a0847123ddef11f2024ee98f9f741">mUpdateRemainTime</a>;
<a name="l00663"></a>00663 
<a name="l00665"></a><a class="code" href="classOgre_1_1ParticleSystem.html#a1e65df3217c40bfb24fd9000acfced37">00665</a>         <a class="code" href="classOgre_1_1AxisAlignedBox.html" title="A 3D box aligned with the x/y/z axes.">AxisAlignedBox</a> <a class="code" href="classOgre_1_1ParticleSystem.html#a1e65df3217c40bfb24fd9000acfced37" title="World AABB, only used to compare world-space positions to calc bounds.">mWorldAABB</a>;
<a name="l00666"></a>00666 
<a name="l00668"></a><a class="code" href="classOgre_1_1ParticleSystem.html#af098d1ce5b6e05a2cd2b06e153e95b7d">00668</a>         <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1ParticleSystem.html#af098d1ce5b6e05a2cd2b06e153e95b7d" title="Name of the resource group to use to load materials.">mResourceGroupName</a>;
<a name="l00670"></a><a class="code" href="classOgre_1_1ParticleSystem.html#a5e6593c2c8ab7db5fc2e0c4b88860b75">00670</a>         <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1ParticleSystem.html#a5e6593c2c8ab7db5fc2e0c4b88860b75" title="Name of the material to use.">mMaterialName</a>;
<a name="l00672"></a><a class="code" href="classOgre_1_1ParticleSystem.html#a59bc2b7740d88fc979a506f398722a6a">00672</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1ParticleSystem.html#a59bc2b7740d88fc979a506f398722a6a" title="Have we set the material etc on the renderer?">mIsRendererConfigured</a>;
<a name="l00674"></a><a class="code" href="classOgre_1_1ParticleSystem.html#ae7c9c12c9efdcc1a355e5222720f0b9a">00674</a>         <a class="code" href="classOgre_1_1MaterialPtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to MaterialPtr.">MaterialPtr</a> <a class="code" href="classOgre_1_1ParticleSystem.html#ae7c9c12c9efdcc1a355e5222720f0b9a" title="Pointer to the material to use.">mMaterial</a>;
<a name="l00676"></a><a class="code" href="classOgre_1_1ParticleSystem.html#a0b285d71780301e7419ca42b20bd5687">00676</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1ParticleSystem.html#a0b285d71780301e7419ca42b20bd5687" title="Default width of each particle.">mDefaultWidth</a>;
<a name="l00678"></a><a class="code" href="classOgre_1_1ParticleSystem.html#a5e72493857e75cf3bfb90905013b0af9">00678</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1ParticleSystem.html#a5e72493857e75cf3bfb90905013b0af9" title="Default height of each particle.">mDefaultHeight</a>;
<a name="l00680"></a><a class="code" href="classOgre_1_1ParticleSystem.html#a49d3c7a2f5aebd347448708f15887be6">00680</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1ParticleSystem.html#a49d3c7a2f5aebd347448708f15887be6" title="Speed factor.">mSpeedFactor</a>;
<a name="l00682"></a><a class="code" href="classOgre_1_1ParticleSystem.html#a8a5d526651f1f5858582ceeed4c6ddf5">00682</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1ParticleSystem.html#a8a5d526651f1f5858582ceeed4c6ddf5" title="Iteration interval.">mIterationInterval</a>;
<a name="l00684"></a><a class="code" href="classOgre_1_1ParticleSystem.html#afc6648fdc43bb839b83996244f21b133">00684</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1ParticleSystem.html#afc6648fdc43bb839b83996244f21b133" title="Iteration interval set? Otherwise track default.">mIterationIntervalSet</a>;
<a name="l00686"></a><a class="code" href="classOgre_1_1ParticleSystem.html#a80d45e8629dddebdbf5b40277fd5ffd3">00686</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1ParticleSystem.html#a80d45e8629dddebdbf5b40277fd5ffd3" title="Particles sorted according to camera?">mSorted</a>;
<a name="l00688"></a><a class="code" href="classOgre_1_1ParticleSystem.html#a6713da8f09ccd906fe79b58fdf276f2d">00688</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1ParticleSystem.html#a6713da8f09ccd906fe79b58fdf276f2d" title="Particles in local space?">mLocalSpace</a>;
<a name="l00690"></a><a class="code" href="classOgre_1_1ParticleSystem.html#af2efe3aed941fb973b62bf16ec77ddea">00690</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1ParticleSystem.html#af2efe3aed941fb973b62bf16ec77ddea" title="Update timeout when nonvisible (0 for no timeout)">mNonvisibleTimeout</a>;
<a name="l00692"></a><a class="code" href="classOgre_1_1ParticleSystem.html#a89e13475bbdf251d58c02883d81d3def">00692</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1ParticleSystem.html#a89e13475bbdf251d58c02883d81d3def" title="Update timeout when nonvisible set? Otherwise track default.">mNonvisibleTimeoutSet</a>;
<a name="l00694"></a><a class="code" href="classOgre_1_1ParticleSystem.html#a959c035bcde3202db49f2a53fafef4b4">00694</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1ParticleSystem.html#a959c035bcde3202db49f2a53fafef4b4" title="Amount of time non-visible so far.">mTimeSinceLastVisible</a>;
<a name="l00696"></a><a class="code" href="classOgre_1_1ParticleSystem.html#a57e4b107a0b932586298425ebc3fdd3d">00696</a>         <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> <a class="code" href="classOgre_1_1ParticleSystem.html#a57e4b107a0b932586298425ebc3fdd3d" title="Last frame in which known to be visible.">mLastVisibleFrame</a>;
<a name="l00698"></a><a class="code" href="classOgre_1_1ParticleSystem.html#aab0ff7e2ff51a59079fdbf99ef4374ab">00698</a>         <a class="code" href="classOgre_1_1Controller.html">Controller&lt;Real&gt;</a>* <a class="code" href="classOgre_1_1ParticleSystem.html#aab0ff7e2ff51a59079fdbf99ef4374ab" title="Controller for time update.">mTimeController</a>;
<a name="l00700"></a><a class="code" href="classOgre_1_1ParticleSystem.html#a739bbc0cffbbe84edaa5d543755e7062">00700</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1ParticleSystem.html#a739bbc0cffbbe84edaa5d543755e7062" title="Indication whether the emitted emitter pool (= pool with particle emitters that are emitted) is initi...">mEmittedEmitterPoolInitialised</a>;
<a name="l00702"></a><a class="code" href="classOgre_1_1ParticleSystem.html#afc6d094a8e5b9cbb50a799013abcfee6">00702</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1ParticleSystem.html#afc6d094a8e5b9cbb50a799013abcfee6" title="Used to control if the particle system should emit particles or not.">mIsEmitting</a>;
<a name="l00703"></a>00703 
<a name="l00704"></a><a class="code" href="classOgre_1_1ParticleSystem.html#ad8b49a9cdb0a59b3533dfca1c51df996">00704</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1list.html">list&lt;Particle*&gt;::type</a> <a class="code" href="classOgre_1_1ParticleSystem.html#ad8b49a9cdb0a59b3533dfca1c51df996">ActiveParticleList</a>;
<a name="l00705"></a><a class="code" href="classOgre_1_1ParticleSystem.html#a429a185e39800a8033a65dfdada7286b">00705</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1list.html">list&lt;Particle*&gt;::type</a> <a class="code" href="classOgre_1_1ParticleSystem.html#a429a185e39800a8033a65dfdada7286b">FreeParticleList</a>;
<a name="l00706"></a><a class="code" href="classOgre_1_1ParticleSystem.html#a2b6290fcaaa2ac8587bbd0f82a9bdc32">00706</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1vector.html">vector&lt;Particle*&gt;::type</a> <a class="code" href="classOgre_1_1ParticleSystem.html#a2b6290fcaaa2ac8587bbd0f82a9bdc32">ParticlePool</a>;
<a name="l00707"></a>00707 
<a name="l00709"></a><a class="code" href="structOgre_1_1ParticleSystem_1_1SortByDirectionFunctor.html">00709</a>         <span class="keyword">struct </span><a class="code" href="structOgre_1_1ParticleSystem_1_1SortByDirectionFunctor.html" title="Sort by direction functor.">SortByDirectionFunctor</a>
<a name="l00710"></a>00710         {
<a name="l00712"></a><a class="code" href="structOgre_1_1ParticleSystem_1_1SortByDirectionFunctor.html#a30a3683c4c2e6e5fd17afcd04db8588e">00712</a>             <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a> <a class="code" href="structOgre_1_1ParticleSystem_1_1SortByDirectionFunctor.html#a30a3683c4c2e6e5fd17afcd04db8588e" title="Direction to sort in.">sortDir</a>;
<a name="l00713"></a>00713 
<a name="l00714"></a>00714             <a class="code" href="structOgre_1_1ParticleSystem_1_1SortByDirectionFunctor.html" title="Sort by direction functor.">SortByDirectionFunctor</a>(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a>&amp; dir);
<a name="l00715"></a>00715             <span class="keywordtype">float</span> operator()(<a class="code" href="classOgre_1_1Particle.html" title="Class representing a single particle instance.">Particle</a>* p) <span class="keyword">const</span>;
<a name="l00716"></a>00716         };
<a name="l00717"></a>00717 
<a name="l00719"></a><a class="code" href="structOgre_1_1ParticleSystem_1_1SortByDistanceFunctor.html">00719</a>         <span class="keyword">struct </span><a class="code" href="structOgre_1_1ParticleSystem_1_1SortByDistanceFunctor.html" title="Sort by distance functor.">SortByDistanceFunctor</a>
<a name="l00720"></a>00720         {
<a name="l00722"></a><a class="code" href="structOgre_1_1ParticleSystem_1_1SortByDistanceFunctor.html#aa6061b63b183e436760f70f662162bdb">00722</a>             <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a> <a class="code" href="structOgre_1_1ParticleSystem_1_1SortByDistanceFunctor.html#aa6061b63b183e436760f70f662162bdb" title="Position to sort in.">sortPos</a>;
<a name="l00723"></a>00723 
<a name="l00724"></a>00724             <a class="code" href="structOgre_1_1ParticleSystem_1_1SortByDistanceFunctor.html" title="Sort by distance functor.">SortByDistanceFunctor</a>(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a>&amp; pos);
<a name="l00725"></a>00725             <span class="keywordtype">float</span> operator()(<a class="code" href="classOgre_1_1Particle.html" title="Class representing a single particle instance.">Particle</a>* p) <span class="keyword">const</span>;
<a name="l00726"></a>00726         };
<a name="l00727"></a>00727 
<a name="l00728"></a><a class="code" href="classOgre_1_1ParticleSystem.html#ad833fc87f867f02a375c13a7b2601413">00728</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1RadixSort.html">RadixSort&lt;ActiveParticleList, Particle*, float&gt;</a> <a class="code" href="classOgre_1_1ParticleSystem.html#ad833fc87f867f02a375c13a7b2601413">mRadixSorter</a>;
<a name="l00729"></a>00729 
<a name="l00739"></a><a class="code" href="classOgre_1_1ParticleSystem.html#aa0f53904e278d0943a70fef51d855612">00739</a>         <a class="code" href="classOgre_1_1ParticleSystem.html#ad8b49a9cdb0a59b3533dfca1c51df996">ActiveParticleList</a> <a class="code" href="classOgre_1_1ParticleSystem.html#aa0f53904e278d0943a70fef51d855612" title="Active particle list.">mActiveParticles</a>;
<a name="l00740"></a>00740 
<a name="l00750"></a><a class="code" href="classOgre_1_1ParticleSystem.html#a164e657cbbf879a751fdf2b31a955587">00750</a>         <a class="code" href="classOgre_1_1ParticleSystem.html#a429a185e39800a8033a65dfdada7286b">FreeParticleList</a> <a class="code" href="classOgre_1_1ParticleSystem.html#a164e657cbbf879a751fdf2b31a955587" title="Free particle queue.">mFreeParticles</a>;
<a name="l00751"></a>00751 
<a name="l00756"></a><a class="code" href="classOgre_1_1ParticleSystem.html#a32a7f0e15ab8cabb3f045437801659d8">00756</a>         <a class="code" href="classOgre_1_1ParticleSystem.html#a2b6290fcaaa2ac8587bbd0f82a9bdc32">ParticlePool</a> <a class="code" href="classOgre_1_1ParticleSystem.html#a32a7f0e15ab8cabb3f045437801659d8" title="Pool of particle instances for use and reuse in the active particle list.">mParticlePool</a>;
<a name="l00757"></a>00757 
<a name="l00758"></a><a class="code" href="classOgre_1_1ParticleSystem.html#ab36f593f9b1b6a6c5eb26ac8f576c54a">00758</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1list.html">list&lt;ParticleEmitter*&gt;::type</a> <a class="code" href="classOgre_1_1ParticleSystem.html#ab36f593f9b1b6a6c5eb26ac8f576c54a">FreeEmittedEmitterList</a>;
<a name="l00759"></a><a class="code" href="classOgre_1_1ParticleSystem.html#a9ea31062493b30eba198304ed4aab57f">00759</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1list.html">list&lt;ParticleEmitter*&gt;::type</a> <a class="code" href="classOgre_1_1ParticleSystem.html#a9ea31062493b30eba198304ed4aab57f">ActiveEmittedEmitterList</a>;
<a name="l00760"></a><a class="code" href="classOgre_1_1ParticleSystem.html#aba476a179b3bc6726f1729ffbb006c0e">00760</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1vector.html">vector&lt;ParticleEmitter*&gt;::type</a> <a class="code" href="classOgre_1_1ParticleSystem.html#aba476a179b3bc6726f1729ffbb006c0e">EmittedEmitterList</a>;
<a name="l00761"></a><a class="code" href="classOgre_1_1ParticleSystem.html#a9a46ad4450f7652159451bb2a4bd46fa">00761</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1map.html">map&lt;String, FreeEmittedEmitterList&gt;::type</a> <a class="code" href="classOgre_1_1ParticleSystem.html#a9a46ad4450f7652159451bb2a4bd46fa">FreeEmittedEmitterMap</a>;
<a name="l00762"></a><a class="code" href="classOgre_1_1ParticleSystem.html#a7f9ab1ebc2ebe3f58f824ce28998aa3c">00762</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1map.html">map&lt;String, EmittedEmitterList&gt;::type</a> <a class="code" href="classOgre_1_1ParticleSystem.html#a7f9ab1ebc2ebe3f58f824ce28998aa3c">EmittedEmitterPool</a>;
<a name="l00763"></a>00763 
<a name="l00772"></a><a class="code" href="classOgre_1_1ParticleSystem.html#a4ae30a999f0346ed22af981230e2dfdd">00772</a>         <a class="code" href="classOgre_1_1ParticleSystem.html#a7f9ab1ebc2ebe3f58f824ce28998aa3c">EmittedEmitterPool</a> <a class="code" href="classOgre_1_1ParticleSystem.html#a4ae30a999f0346ed22af981230e2dfdd" title="Pool of emitted emitters for use and reuse in the active emitted emitter list.">mEmittedEmitterPool</a>;
<a name="l00773"></a>00773 
<a name="l00778"></a><a class="code" href="classOgre_1_1ParticleSystem.html#ab25626f014de536d9b0ea68e288ee74d">00778</a>         <a class="code" href="classOgre_1_1ParticleSystem.html#a9a46ad4450f7652159451bb2a4bd46fa">FreeEmittedEmitterMap</a> <a class="code" href="classOgre_1_1ParticleSystem.html#ab25626f014de536d9b0ea68e288ee74d" title="Free emitted emitter list.">mFreeEmittedEmitters</a>;
<a name="l00779"></a>00779 
<a name="l00785"></a><a class="code" href="classOgre_1_1ParticleSystem.html#a1513f312c5de99cf2713c9675a30a12d">00785</a>         <a class="code" href="classOgre_1_1ParticleSystem.html#a9ea31062493b30eba198304ed4aab57f">ActiveEmittedEmitterList</a> <a class="code" href="classOgre_1_1ParticleSystem.html#a1513f312c5de99cf2713c9675a30a12d" title="Active emitted emitter list.">mActiveEmittedEmitters</a>;
<a name="l00786"></a>00786 
<a name="l00787"></a><a class="code" href="classOgre_1_1ParticleSystem.html#acaa0aa52168fc266d7bccb8198fb308f">00787</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1vector.html">vector&lt;ParticleEmitter*&gt;::type</a> <a class="code" href="classOgre_1_1ParticleSystem.html#acaa0aa52168fc266d7bccb8198fb308f">ParticleEmitterList</a>;
<a name="l00788"></a><a class="code" href="classOgre_1_1ParticleSystem.html#ac9e7e66f11435fe37fc6a65f776ac556">00788</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1vector.html">vector&lt;ParticleAffector*&gt;::type</a> <a class="code" href="classOgre_1_1ParticleSystem.html#ac9e7e66f11435fe37fc6a65f776ac556">ParticleAffectorList</a>;
<a name="l00789"></a>00789         
<a name="l00791"></a><a class="code" href="classOgre_1_1ParticleSystem.html#a2dd405a5879b28e20f31c08cd3cb5020">00791</a>         <a class="code" href="classOgre_1_1ParticleSystem.html#acaa0aa52168fc266d7bccb8198fb308f">ParticleEmitterList</a> <a class="code" href="classOgre_1_1ParticleSystem.html#a2dd405a5879b28e20f31c08cd3cb5020" title="List of particle emitters, ie sources of particles.">mEmitters</a>;
<a name="l00793"></a><a class="code" href="classOgre_1_1ParticleSystem.html#a4d8ddab064285476e7c1bf1f67095e38">00793</a>         <a class="code" href="classOgre_1_1ParticleSystem.html#ac9e7e66f11435fe37fc6a65f776ac556">ParticleAffectorList</a> <a class="code" href="classOgre_1_1ParticleSystem.html#a4d8ddab064285476e7c1bf1f67095e38" title="List of particle affectors, ie modifiers of particles.">mAffectors</a>;
<a name="l00794"></a>00794 
<a name="l00796"></a><a class="code" href="classOgre_1_1ParticleSystem.html#a3a4ec067f1ff89498a09384924552c02">00796</a>         <a class="code" href="classOgre_1_1ParticleSystemRenderer.html" title="Abstract class defining the interface required to be implemented by classes which provide rendering c...">ParticleSystemRenderer</a>* <a class="code" href="classOgre_1_1ParticleSystem.html#a3a4ec067f1ff89498a09384924552c02" title="The renderer used to render this particle system.">mRenderer</a>;
<a name="l00797"></a>00797 
<a name="l00799"></a><a class="code" href="classOgre_1_1ParticleSystem.html#a67862b266613399e6d421c15bdfe83b1">00799</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1ParticleSystem.html#a67862b266613399e6d421c15bdfe83b1" title="Do we cull each particle individually?">mCullIndividual</a>;
<a name="l00800"></a>00800 
<a name="l00802"></a><a class="code" href="classOgre_1_1ParticleSystem.html#a04982517f8b99a7f4a396afda3771fec">00802</a>         <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1ParticleSystem.html#a04982517f8b99a7f4a396afda3771fec" title="The name of the type of renderer used to render this system.">mRendererType</a>;
<a name="l00803"></a>00803         
<a name="l00805"></a><a class="code" href="classOgre_1_1ParticleSystem.html#ac520daba3f33d2e8254f7ac6d1827a6e">00805</a>         <span class="keywordtype">size_t</span> <a class="code" href="classOgre_1_1ParticleSystem.html#ac520daba3f33d2e8254f7ac6d1827a6e" title="The number of particles in the pool.">mPoolSize</a>;
<a name="l00806"></a>00806 
<a name="l00808"></a><a class="code" href="classOgre_1_1ParticleSystem.html#a04aad3ddaeea86c1d77165e4d6745e73">00808</a>         <span class="keywordtype">size_t</span> <a class="code" href="classOgre_1_1ParticleSystem.html#a04aad3ddaeea86c1d77165e4d6745e73" title="The number of emitted emitters in the pool.">mEmittedEmitterPoolSize</a>;
<a name="l00809"></a>00809 
<a name="l00811"></a><a class="code" href="classOgre_1_1ParticleSystem.html#a1fdcc463d65b417c97ad8082ede294b6">00811</a>         <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1ParticleSystem.html#a1fdcc463d65b417c97ad8082ede294b6" title="Optional origin of this particle system (eg script name)">mOrigin</a>;
<a name="l00812"></a>00812 
<a name="l00814"></a><a class="code" href="classOgre_1_1ParticleSystem.html#a3e1bb9409028eb4fe4e1850927467ab2">00814</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1ParticleSystem.html#a3e1bb9409028eb4fe4e1850927467ab2" title="Default iteration interval.">msDefaultIterationInterval</a>;
<a name="l00816"></a><a class="code" href="classOgre_1_1ParticleSystem.html#a7386a4b97c99e8653bdde34612e88a08">00816</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1ParticleSystem.html#a7386a4b97c99e8653bdde34612e88a08" title="Default nonvisible update timeout.">msDefaultNonvisibleTimeout</a>;
<a name="l00817"></a>00817 
<a name="l00819"></a>00819         <span class="keywordtype">void</span> _expire(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> timeElapsed);
<a name="l00820"></a>00820 
<a name="l00822"></a>00822         <span class="keywordtype">void</span> _triggerEmitters(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> timeElapsed);
<a name="l00823"></a>00823 
<a name="l00826"></a>00826         <span class="keywordtype">void</span> _executeTriggerEmitters(<a class="code" href="classOgre_1_1ParticleEmitter.html" title="Abstract class defining the interface to be implemented by particle emitters.">ParticleEmitter</a>* emitter, <span class="keywordtype">unsigned</span> requested, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> timeElapsed);
<a name="l00827"></a>00827 
<a name="l00829"></a>00829         <span class="keywordtype">void</span> _applyMotion(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> timeElapsed);
<a name="l00830"></a>00830 
<a name="l00832"></a>00832         <span class="keywordtype">void</span> _triggerAffectors(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> timeElapsed);
<a name="l00833"></a>00833 
<a name="l00835"></a>00835         <span class="keywordtype">void</span> _sortParticles(<a class="code" href="classOgre_1_1Camera.html" title="A viewpoint from which the scene will be rendered.">Camera</a>* cam);
<a name="l00836"></a>00836 
<a name="l00838"></a>00838         <span class="keywordtype">void</span> increasePool(<span class="keywordtype">size_t</span> size);
<a name="l00839"></a>00839 
<a name="l00847"></a>00847         <span class="keywordtype">void</span> increaseEmittedEmitterPool(<span class="keywordtype">size_t</span> size);
<a name="l00848"></a>00848 
<a name="l00850"></a>00850         <span class="keywordtype">void</span> initParameters(<span class="keywordtype">void</span>);
<a name="l00851"></a>00851 
<a name="l00853"></a>00853         <span class="keywordtype">void</span> configureRenderer(<span class="keywordtype">void</span>);
<a name="l00854"></a>00854 
<a name="l00856"></a>00856         <span class="keywordtype">void</span> createVisualParticles(<span class="keywordtype">size_t</span> poolstart, <span class="keywordtype">size_t</span> poolend);
<a name="l00858"></a>00858         <span class="keywordtype">void</span> destroyVisualParticles(<span class="keywordtype">size_t</span> poolstart, <span class="keywordtype">size_t</span> poolend);
<a name="l00859"></a>00859 
<a name="l00865"></a>00865         <span class="keywordtype">void</span> initialiseEmittedEmitters(<span class="keywordtype">void</span>);
<a name="l00866"></a>00866 
<a name="l00870"></a>00870         <span class="keywordtype">void</span> initialiseEmittedEmitterPool(<span class="keywordtype">void</span>);
<a name="l00871"></a>00871 
<a name="l00873"></a>00873         <span class="keywordtype">void</span> addFreeEmittedEmitters(<span class="keywordtype">void</span>);
<a name="l00874"></a>00874 
<a name="l00876"></a>00876         <span class="keywordtype">void</span> removeAllEmittedEmitters(<span class="keywordtype">void</span>);
<a name="l00877"></a>00877 
<a name="l00881"></a>00881         <a class="code" href="classOgre_1_1ParticleSystem.html#ab36f593f9b1b6a6c5eb26ac8f576c54a">FreeEmittedEmitterList</a>* findFreeEmittedEmitter (<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name);
<a name="l00882"></a>00882 
<a name="l00888"></a>00888         <span class="keywordtype">void</span> removeFromActiveEmittedEmitters (<a class="code" href="classOgre_1_1ParticleEmitter.html" title="Abstract class defining the interface to be implemented by particle emitters.">ParticleEmitter</a>* emitter);
<a name="l00889"></a>00889 
<a name="l00894"></a>00894         <span class="keywordtype">void</span> addActiveEmittedEmittersToFreeList (<span class="keywordtype">void</span>);
<a name="l00895"></a>00895 
<a name="l00904"></a>00904         <span class="keywordtype">void</span> _notifyReorganiseEmittedEmitterData (<span class="keywordtype">void</span>);
<a name="l00905"></a>00905     };
<a name="l00909"></a>00909 }
<a name="l00910"></a>00910 
<a name="l00911"></a>00911 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:51
</p>
</body>
</html>
